For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • PUTAbsolute Adjustment
              • POSTRelative Adjustment
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryAdjustments

Absolute Adjustment

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/adjustments/absolute
PUT
/stores/:store_hash/v3/inventory/adjustments/absolute
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/absolute \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "items": [
> {
> "location_id": 1,
> "sku": "RE-130",
> "quantity": 25,
> "variant_id": 101
> },
> {
> "location_id": 2,
> "sku": "RE-131",
> "quantity": 40,
> "variant_id": 103
> },
> {
> "location_id": 3,
> "sku": "BL-450",
> "quantity": 15,
> "variant_id": 0
> },
> {
> "location_id": 1,
> "sku": "WH-220",
> "quantity": 30,
> "variant_id": 0
> },
> {
> "location_id": 1,
> "sku": "RE-132",
> "quantity": 7,
> "variant_id": 0
> }
> ],
> "reason": "Inventory count adjustment after stocktake"
>}'
1{
2 "transaction_id": "a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a7b8e"
3}
Override the existing inventory levels for an inventory item at a location. Use absolute adjustments as the default method for updating inventory. This endpoint batches requests, making them more resource friendly than the [Catalog API](/developer/api-reference/rest/admin/catalog/products/update-products). Absolute adjustments have lower complexity than [relative adjustments](/developer/api-reference/rest/admin/management/inventory/adjustments/post-relative-adjustment), which synchronize with orders. **Limits** * For maximum inventory levels, see [Inventory adjustments](/developer/docs/admin/catalog-and-inventory/inventory-adjustments#inventory-adjustments). * Limit of 2000 items for payload length, see [Optimizing performance](/developer/docs/admin/catalog-and-inventory/inventory-adjustments#optimizing-performance) for more information.
Was this page helpful?
Previous

Inventory

Next

Relative Adjustment

Built with

Override the existing inventory levels for an inventory item at a location. Use absolute adjustments as the default method for updating inventory. This endpoint batches requests, making them more resource friendly than the Catalog API. Absolute adjustments have lower complexity than relative adjustments, which synchronize with orders.

Limits

  • For maximum inventory levels, see Inventory adjustments.
  • Limit of 2000 items for payload length, see Optimizing performance for more information.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
itemslist of objectsRequired

One of the sku, product_id, or variant_id is required to identify the item.

reasonstringOptional
Reason for the adjustment operation.

Response

Request has been successfully processed.
transaction_idstring
Unique identifier of performed action.

Errors

422
Unprocessable Entity Error

The MIME type of the response body.